# TODO
# - broken: https://github.com/gnif/mod_rpaf/issues/27
# or not https://github.com/gnif/mod_rpaf/issues/33#issuecomment-263519703 ?

%define		mod_name	rpaf
%define		apxs		%{_sbindir}/apxs
Summary:	Reverse proxy add forward module for Apache
Summary(pl.UTF-8):	Moduł Apache'a 2 dodający przekazywanie dla odwrotnych proxy
Name:		apache-mod_%{mod_name}
Version:	0.8.4
Release:	2
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
Source0:	https://github.com/gnif/mod_rpaf/archive/v%{version}/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	8fbd9ee19f8ea4e25ab8414685276105
Source1:	%{name}.conf
Patch0:		0.6-compat.patch
URL:		https://github.com/gnif/mod_rpaf/
BuildRequires:	apache-devel >= 2.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Provides:	apache(mod_rpaf)
Conflicts:	apache(mod_extract_forwarded)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
Sets REMOTE_ADDR, HTTPS, and HTTP_PORT to the values provided by an
upstream proxy.

%description -l pl.UTF-8
rpaf jest dla backendowych serwerów Apache tym, czym
mod_proxy_add_forward jest dla frontendowych.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{apxs} -S CC="%{__cc}" -c -n mod_%{mod_name}.o mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}
install -p .libs/mod_rpaf.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/99_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README.md CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Thu Mar 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_rpaf.git;a=log;h=master

* Thu Mar 23 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c82864c
- rel 2

* Thu Mar 23 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 186fa50
- rel 1

* Fri Feb 26 2016 Elan Ruusamäe <glen@delfi.ee> 512afe4
- package is broken

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> 503fccd
- caps fix

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> d97e042
- drop libtool hack, apache package is fixed (apache-2.4.16-3)

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> fda5dc7
- support all 0.6 directives (RPAFheader as well)

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> 70aa393
- restore compatibility with v0.6 config directives

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> df25b1c
- up to 0.8.4
- new homepage, new maintainer, license asl-2.0
- note config directives got renamed

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> a21d38e
- build with apache 2.4
- rel 3

* Sat Oct 17 2009 Paweł Gołaszewski <blues@pld-linux.org> f12a804
- added cross-conflicts

* Sat Dec 06 2008 Elan Ruusamäe <glen@pld-linux.org> 6c41668
- template-apache_module.spec

* Sat Dec 06 2008 areq <areq@pld-linux.org> 8e208ed
- /etc/http/httpd.conf/ =>  /etc/http//conf.d/
- rel 2

* Wed Nov 19 2008 areq <areq@pld-linux.org> 66bebc0
- 0.6

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 7fcaf89
- HTTP group

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> f07d997
- rediff

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 6dded9a
- merged ipv6 patches

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 0989d95
- update to 0.6

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 6342411
- mod_rpaf patched to allow multiple chained proxies (needed to use pound balancer) (by alpha)
- rel 4

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 7f4dcb0
- revision 1.1
date: 2007/09/26 14:56:57;  author: alpha;  state: Exp;
- "degtine" stands for "vodka" in .lt
- see http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg210747.html

* Wed Sep 05 2007 Elan Ruusamäe <glen@pld-linux.org> 9180029
- rename module to mod_rpaf.c

